xn::EnumerationErrors::Iterator Class Reference

`#include <XnCppWrapper.h>`

## Public Member Functions

XnBool | operator== (const Iterator &other) const
XnBool | operator!= (const Iterator &other) const
Iterator & | operator++ ()
Iterator | operator++ (int)
const XnProductionNodeDescription & | Description ()
XnStatus | Error ()

## Friends

class | EnumerationErrors

## Detailed Description

An iterator over enumeration errors

## Member Function Documentation

## Description()

const XnProductionNodeDescription & xn::EnumerationErrors::Iterator::Description | ( |  | ) |

inline

Returns the description data of the failing node the iterator points to.

Remarks

The description data returned in the XnProductionNodeDescription struct includes the node name, the vendor, and the version.

## Error()

XnStatus xn::EnumerationErrors::Iterator::Error | ( |  | ) |

inline

Returns the failure error code of the failing node the iterator points to. For a string representation of this error, call xnGetStatusString().

## operator!=()

XnBool xn::EnumerationErrors::Iterator::operator!= | ( | const Iterator & | other | ) | const

inline

Checks if the other iterator points to a different location

Parameters

  [in] | other | another iterator

## operator++() [1/2]

Iterator & xn::EnumerationErrors::Iterator::operator++ | ( |  | ) |

inline

Moves the iterator to the next location. If end of list was reached, iterator will be equal to EnumerationErrors::End().

## operator++() [2/2]

Iterator xn::EnumerationErrors::Iterator::operator++ | ( | int |  | ) |

inline

Returns an iterator to the next location. If end of list was reached, iterator will be equal to EnumerationErrors::End().

## operator==()

XnBool xn::EnumerationErrors::Iterator::operator== | ( | const Iterator & | other | ) | const

inline

Checks if the other iterator points to the same location

Parameters

  [in] | other | another iterator

## Friends And Related Symbol Documentation

## EnumerationErrors

friend class EnumerationErrors

friend

The documentation for this class was generated from the following file:

- XnCppWrapper.h